#pragma once
#include "pch.h"
#include "ZZ_Types.h"
using namespace ZZ_MISCDEF::ZZ_DATAFILE;
class DataFileProcessor
{
public:
	DataFileProcessor();
	virtual ~DataFileProcessor();
public:
	void SetEnvironmentContex(EContext struEC);
	void SetManmadeEnviromentalContext(MEContext truMEC);
	bool WriteDataFile();
private:
	void GenerateFilePath();
	bool WriteInfo();
	bool WriteData();


public:
private:
	QString m_qstrFullFileName;
	QString m_qstrFileName;
	QString m_qstrFilePath;
	EContext m_struEC;
	MEContext m_struMEC;
	QDateTime m_qdtTime;
};